For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • GETGet all lease periods
        • GETGet lease period by ID
        • POSTCreate Lease: Rentvine
        • PUTUpdate Lease: Rentvine
        • PUTUpdate Lease Custom Data: Rentvine
        • POSTCreate Lease File: Rentvine
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RentvineLeases

Create Lease File: Rentvine

POST
/v1/leases/rentvine/:lease_id/file-upload/
POST
/v1/leases/rentvine/:lease_id/file-upload/
$curl -X POST https://api.propexo.com/v1/leases/rentvine/lease_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
> "attachment": {
> "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudC4=",
> "file_name": "lease_agreement.pdf",
> "mime_type": "application/pdf"
> }
>}'
1{
2 "meta": {
3 "job_id": "job_1234567890abcdef"
4 },
5 "result": {
6 "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
7 "lease_id": "lease_abcdef1234567890",
8 "attachment": {
9 "file_name": "lease_agreement.pdf",
10 "mime_type": "application/pdf",
11 "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudC4="
12 }
13 }
14}
Create Lease File: Rentvine | Interface | Method | |---|---| | Files | POST /api/manager/files | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all listings

Next
Built with

Create Lease File: Rentvine

InterfaceMethod
FilesPOST /api/manager/files
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

lease_idstringRequired
The Propexo unique identifier for the lease

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
attachmentobjectRequired
The file data for the document upload

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error